# -*- coding: UTF-8 -*-
from io import open
from setuptools import setup

# http://stackoverflow.com/a/7071358/735926
import re
VERSIONFILE='clj/__init__.py'
verstrline = open(VERSIONFILE, 'rt', encoding='utf-8').read()
VSRE = r'^__version__\s+=\s+[\'"]([^\'"]+)[\'"]'
mo = re.search(VSRE, verstrline, re.M)
if mo:
    verstr = mo.group(1)
else:
    raise RuntimeError("Unable to find version string in %s." % VERSIONFILE)

setup(
    name='clj',
    version=verstr,
    author='Baptiste Fontaine',
    author_email='b@ptistefontaine.fr',
    packages=['clj'],
    url='https://github.com/bfontaine/clj',
    license=open('LICENSE', 'r', encoding='utf-8').read(),
    description='Clojure-like utilities',
    long_description=open('README.md', 'r', encoding='utf-8').read(),
    classifiers=[
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],
)
